> ## Documentation Index
> Fetch the complete documentation index at: https://docs.flowengineering.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get the current authenticated user



## OpenAPI

````yaml /openapi/customer-api.json get /users/me
openapi: 3.0.0
info:
  contact: {}
  description: >-
    Flow customer API reference. Start with the [quickstart](/api/quickstart)
    and [authentication guide](/api/authentication).
  title: Customer API
  version: 1.0.0
servers:
  - description: Flow API
    url: https://backend.branch.flowengineering.com
security: []
tags:
  - name: Automations
  - name: Branches
  - name: Comments
  - name: Convert
  - name: Data Model
  - name: Diagrams
  - name: Entities
  - name: Files
  - name: Import
  - name: Notifications
  - name: Projects
  - name: ReqIF
  - name: ReqIF Import
  - name: Shared Access Grants
  - name: User Groups
  - name: Users
paths:
  /users/me:
    get:
      tags:
        - Users
      summary: Get the current authenticated user
      operationId: UsersController_me
      parameters:
        - description: Workspace identifier
          in: header
          name: customer
          required: true
          schema:
            type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/UserWithPermissionsDto'
          description: ''
      security:
        - api-key: []
        - bearer: []
components:
  schemas:
    UserWithPermissionsDto:
      properties:
        deactivated_at:
          format: date-time
          nullable: true
          type: string
        email:
          type: string
        family_name:
          type: string
        given_name:
          type: string
        has_profile_picture:
          type: boolean
        id:
          type: string
        project_access:
          $ref: '#/components/schemas/ProjectAccessSummaryDto'
        provisioned_at:
          format: date-time
          nullable: true
          type: string
        provisioned_via_provider:
          nullable: true
          type: string
        role:
          allOf:
            - $ref: '#/components/schemas/Role'
      required:
        - id
        - email
        - given_name
        - family_name
        - role
        - provisioned_via_provider
        - provisioned_at
        - deactivated_at
        - project_access
      type: object
    ProjectAccessSummaryDto:
      properties:
        all_projects:
          type: boolean
        project_count:
          type: number
        projects:
          items:
            $ref: '#/components/schemas/ProjectAccessProjectDto'
          type: array
        total_project_count:
          type: number
      required:
        - all_projects
        - project_count
        - total_project_count
        - projects
      type: object
    Role:
      enum:
        - admin
        - editor
        - read_only
        - external
      type: string
    ProjectAccessProjectDto:
      properties:
        id:
          type: string
        name:
          type: string
        slug:
          type: string
      required:
        - id
        - name
        - slug
      type: object
  securitySchemes:
    api-key:
      in: header
      name: X-API-Key
      type: apiKey
    bearer:
      bearerFormat: JWT
      scheme: bearer
      type: http

````